Subject: Ticket Assigned - Landmark Group
From: Max <[email-masked]>
To: [email-masked]
Date: Sat, 03 Apr 2021 11:13:02 +0000

Hi Prince Malik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Landmark Group I had ordered 4th of march..you cancelled my order 17th march ..He told me that we would give you a 50 sar voucher for apologies 48 hours....But he did not even give me a voucher...you e-mail give proof first ... if you give  the answer will not come back answer ...My order was also half canceled then half and still not half  given the money....I am very saddened by your lie...I will not do any shopping in the future..byeee https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2337696